> ## Documentation Index
> Fetch the complete documentation index at: https://www.zinc.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Product Details

> Retrieve product details for a specific product

Get up to date information on the title, description, manufacturer details, item specifics, and more for any product on our supported retailers.


## OpenAPI

````yaml GET /v1/products/{product_id}
openapi: 3.0.0
info:
  title: Zinc API
  version: 1.0.0
  description: API for placing orders and retrieving product data from top retailers.
servers:
  - url: https://api.zinc.io
    description: Production server
security:
  - basicAuth: []
paths:
  /v1/products/{product_id}:
    get:
      summary: Get Product Details
      description: >-
        Get up to date information on the title, description, manufacturer
        details, item specifics, and more for any product on our supported
        retailers.
      parameters:
        - name: product_id
          in: path
          required: true
          schema:
            type: string
          description: The retailer's unique identifier for a particular product
        - name: retailer
          in: query
          required: true
          schema:
            type: string
          description: >-
            The retailer for the product. See [Supported
            Retailers](/supported-retailers) for a list of supported retailers.
        - name: max_age
          in: query
          required: false
          schema:
            type: number
          description: >-
            A number in seconds setting the maximum age of the response. Cannot
            specify with `newer_than`.
        - name: newer_than
          in: query
          required: false
          schema:
            type: number
          description: >-
            A timestamp setting the minimum time the response should be
            retrieved from. Cannot specify with `max_age`.
        - name: async
          in: query
          required: false
          schema:
            type: boolean
            default: false
          description: >-
            Determines whether the resulting response will be asynchronous.
            Defaults to false.
      responses:
        '200':
          description: Product details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductDetailsResponse'
components:
  schemas:
    ProductDetailsResponse:
      type: object
      properties:
        status:
          type: string
          description: >-
            Status of the request. You will only see `processing` if `async:
            true` was set on the request
          enum:
            - processing
            - failed
            - completed
        retailer:
          type: string
          description: The retailer for the product
        product_id:
          type: string
          description: The retailer's unique identifier for the product
        timestamp:
          type: string
          description: The timestamp that the resource was accessed
        title:
          type: string
          description: Title of the product
        product_details:
          type: array
          description: An array of strings providing details about the product
          items:
            type: string
        feature_bullets:
          type: array
          description: An array of strings providing highlights of the product
          items:
            type: string
        brand:
          type: string
          description: The brand of the product (if available)
        main_image:
          type: string
          description: The URL of the primary image associated with the product
        images:
          type: array
          description: An array of image URLs associated with the product
          items:
            type: string
        variant_specifics:
          type: array
          description: >-
            Array of objects containing information about the types and values
            of a particular product variant
          items:
            type: object
            properties:
              dimension:
                type: string
                description: The type of the variant (e.g. 'Color')
              value:
                type: string
                description: The specific value available
        all_variants:
          type: array
          description: >-
            An array of variant_specifics objects detailing all variants of the
            product as well as their product IDs
          items:
            type: object
            properties:
              variant_specifics:
                type: array
                items:
                  type: object
                  properties:
                    dimension:
                      type: string
                    value:
                      type: string
              product_id:
                type: string
        categories:
          type: array
          description: Array of different categories that the product belongs in
          items:
            type: string
        authors:
          type: array
          description: Array of author names (only available for products that are books)
          items:
            type: string
        product_description:
          type: string
          description: The description of the product
        epids:
          type: array
          description: >-
            Array of objects containing external product identifier (epid)
            objects
          items:
            type: object
            properties:
              type:
                type: string
                description: The name of the external product identifier
              value:
                type: string
                description: The identifier's value
        epids_map:
          type: array
          items:
            type: string
          description: >-
            An array of the epids with the epid type as the field and the epid
            value as the value
        package_dimensions:
          type: array
          description: >-
            An array detailing the packaging details if available. Each
            dimension contains a 'amount' and 'unit'
          items:
            type: object
            properties:
              amount:
                type: number
              unit:
                type: string
        item_location:
          type: string
          description: (AliExpress only) The originating location of the product
        original_retail_price:
          type: number
          description: >-
            (Amazon only) The 'List Price' in cents of the product (present if
            the retailer is presenting a crossed out list price)
        price:
          type: number
          description: >-
            (Amazon only) The price in cents of the buy box price of the item.
            **This is not always returned and is often not the cheapest option.
            If you want a product's price you should use [Product
            Offers](/api-reference/products/offers).**
        review_count:
          type: number
          description: (Amazon only) The number of reviews of the product
        stars:
          type: number
          description: (Amazon only) The review score of the product
        question_count:
          type: number
          description: (Amazon only) The number of questions on the Amazon question section
        asin:
          type: string
          description: (Amazon only) The ASIN of the product
        fresh:
          type: boolean
          description: (Amazon only) `TRUE` if the item is an Amazon Fresh item
        pantry:
          type: boolean
          description: (Amazon only) `TRUE` if the item is an Amazon Pantry item
        handmade:
          type: boolean
          description: (Amazon only) `TRUE` if the item is an Amazon Handmade item
        digital:
          type: boolean
          description: >-
            (Amazon only) `TRUE` if the item is a digital-only item (software
            subscription, downloadable software, digital video, game codes,
            etc.)
        buyapi_hint:
          type: boolean
          description: >-
            (Amazon only) False if the item cannot be ordered via the buyapi,
            `TRUE` if it might be orderable
        item_number:
          type: string
          description: >-
            (Costco only) The Costco item number of the product (may not contain
            variant details)
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your client token as the username. Leave the password blank.

````